<?php
  header('Content-type: text/html; charset=utf-8');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="de">
<head>
  <title>Mitarbeiterinnen & Mitarbeiter</title>
  <script type="text/javascript" src="prototype.js"></script>
  <script type="text/javascript" src="remotedata.js"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <link media="all" rel="stylesheet" type="text/css" href="styles.css" />

</head>
<body>
  <h1>Mitarbeiterinnen & Mitarbeiter</h1>
  <h2>Mitarbeiterübersicht</h2>
  <p>
    Sie können die unten angezeigten Mitarbeiter einschränken, indem Sie Teile
    des von Ihnen gesuchten Nachnamens, Vornamens oder Kürzels in das Eingabefeld
    schreiben. Ist JavaScript aktiviert werden Ergebnisse bereits während des Tippens angezeigt.
  </p>
  <!-- parameter -->
  <form name="parameter" method="post">
    <table>
      <tr>
        <td>
          <label for="filter">Filter:</label>
        </td>
        <td>
          <input class="border" autocomplete="off" name="filter" id="filter" type="text" value="<?=$_REQUEST['filter']; ?>" />
          <input type="submit" id="suchen" value="Suchen" />
        </td>
      </tr >
      <tr id="datenformat">
        <td>
          Datenformat:
        </td>
        <td>
          <input type="radio" id="xml" name="responseformat" value="xml" checked="checked" /><label for="xml"><acronym title="eXtensible Markup Language">XML</acronym></label>
          <input type="radio" id="json" name="responseformat" value="json" /><label for="json"><acronym title="JavaScript Object Notation">JSON</acronym></label>
          <input type="radio" id="csv" name="responseformat" value="csv" /><label for="csv"><acronym title="Comma Seperated Values">CSV</acronym></label>
        </td>
      </tr>
    </table>
  </form>

  <table id="mitarbeiter" class="mitarbeiter" rules=cols>
    <caption>Mitarbeiter</caption>
    <thead>
    <tr>
      <th>Nachname</th><th>Vorname</th><th>Gruppe</th>
      <th>Titel</th><th>E-Mail</th>
      <th>Telefon</th><th>Fax</th><th>Raum</th>
    </tr>
    </thead>
    <tbody id="daten" name="daten">
    <?php include('remotedata.php') ?>
    </tbody>

  </table>
</body>
</html>